SETSTOZONES(1)

NAME
setsToZones - part of OpenFOAM (The Open Source CFD Toolbox).

SYNOPSIS
setsToZones [OPTIONS]

DESCRIPTION
Add point/face/cell Zones from similarly named point/face/cell Sets

OPTIONS

-case dir
    Specify case directory to use (instead of the cwd)

-constant
    include the 'constant/' dir in the times list

-decomposeParDict file
    Use specified file for decomposePar dictionary

-latestTime
    select the latest time

-noFlipMap
    Ignore orientation of faceSet

-noZero
    exclude the '0/' dir from the times list

-parallel
    Run in parallel [Parallel option]

-region name
    Specify alternative mesh region

-time time
    specify a single time value to select

-doc
    Display documentation in browser

-help
    Display short help and exit

-help-full
    Display full help and exit

  ADVANCED OPTIONS

-debug-switch name=val
    Specify the value of a registered debug switch. Default is 1 if the value is omitted. (Can be used multiple times)

-fileHandler handler
    Override the file handler type

-hostRoots ((host1 dir1) .. (hostN dirN))
    Per-host slave root directories for distributed running. The host specification can be a regex. [Parallel option]

-info-switch name=val
    Specify the value of a registered info switch. Default is 1 if the value is omitted. (Can be used multiple times)

-lib name
    Additional library or library list to load (can be used multiple times)

-noFunctionObjects
    Do not execute function objects

-opt-switch name=val
    Specify the value of a registered optimisation switch (int/bool). Default is 1 if the value is omitted. (Can be used multiple times)

-roots (dir1 .. dirN)
    Slave root directories for distributed running [Parallel option]

-doc-source
    Display source code in browser

-help-man
    Display full help (manpage format) and exit

-help-notes
    Display help notes (description) and exit

SEE ALSO
Online documentation https://www.openfoam.com/documentation/

COPYRIGHT
Copyright © 2018-2019 OpenCFD Ltd.